﻿body {
    font-family: Arial, sans-serif;
    margin: 20px;
}

.container {
    width: 90%;
    margin: 0 auto;
    min-width: 1000px;
}

h1 {
    position: relative;
    overflow: hidden;
    padding: 0.5rem 1rem 0rem 250px;
    border-bottom: 1px solid #011A6A;
    color: #011A6A;
    margin-right: 80px;
}

h1:before {
    position: absolute;
    top: -200%;
    left: -120px;
    width: 350px;
    height: 350%;
    content: '';
    -webkit-transform: rotate(25deg);
    transform: rotate(25deg);
    background: #011A6A;
}

h1 span {
    font-size: 2rem;
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    display: block;
    padding-top: 3px;
    padding-left: 16px;
    color: #fff;
}

.resultsdiv {
    text-align: center;
    margin: 30px;
    color: #000;
    font-size: 1.5em;
}

.filter-section {
    display: flex;
    flex-direction: column;
}
.filtersection {
    margin-bottom: 15px;
}

.filter-group {
    margin-bottom: 15px;
}

label {
    font-weight: bold;
    color: #011a6a;
    border-left: solid 4px #011a6a;
    background: rgba(255, 255, 96, .2);
    margin-bottom: 1em;
    line-height: 2;
    padding: 0.5em;
    margin-left: 20px;
}
#baseSize,
#brightness,
#lightColor,
#bulbType{
    display: contents;
}


#baseSize input[type="radio"],
#brightness input[type="checkbox"],
#lightColor input[type="checkbox"],
#bulbType input[type="checkbox"] {
    margin-right: 5px;
    margin-left: 30px;
    margin-top: 10px;
}

input[type="radio"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input[type="radio"] {
    position: relative;
    width: 20px;
    height: 20px;
    border: 1px solid #ccc;
    border-radius: 50%;
    vertical-align: -2px;
}

input[type="radio"]:checked:before {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background: #011a6a;
    content: '';
}

input[type="checkbox"] {
    border-radius: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input[type="checkbox"] {
    position: relative;
    width: 18px;
    height: 18px;
    border: 1px solid #ccc;
    vertical-align: -5px;
}

input[type="checkbox"]:checked:before {
    position: absolute;
    top: -8px;
    left: 0px;
    transform: rotate(50deg);
    width: 10px;
    height: 20px;
    border-right: 5px solid #011a6a;
    border-bottom: 5px solid #011a6a;
    content: '';
}

.results-section {
    margin-top: 10px;
}
#resultCount,#result-count {
    margin-top: 10px;
    width: 20%;
    color: red;
    font-size: 120%;
    margin: 0px 10px;
}

button {
    padding: 5px 10px;
    font-size: 20px;
    font-weight: bold;
    margin-left: 250px;
    color: #011a6a;
    cursor: pointer;
    width: 200px;
    box-shadow: 0 1px 1px #011a6a;
    background-color: #efefef;
    border-width: 1px;
}

.updt {
    display: block;
    text-align: right;
    font-size: small;
}

img {
    max-width: 100px;
}

img:hover {
    transform: scale(1.1);
}

table {
    width: 100%;
    margin: 0 auto;
    border-spacing: 0;
    border-collapse: collapse;
    border: solid 1px #ccc;
    overflow: hidden;
    font-size: 80%;
}

table th,
table td {
    padding: 0.5em;
    border: solid 1px #CCC;
    text-align: center;
    position: relative;
}

table th {
    color: #fff;
    background: #011A6A;
    font-weight: bold;
}

table td:hover {
    background: rgba(255, 255, 96, .6);
}

table td:hover::before,
table td:hover::after {
    content: "";
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 96, .2);
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}

table td:hover::before {
    width: 200vw;
    left: -100vw;
}

table td:hover::after {
    height: 200vh;
    top: -100vh;
}

#selected-filters {
    background-color: #eef5fe;
    margin-top: 10px;
}

#selected-filters-list{
    display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: flex-start;
        align-content: flex-start;
}
#selected-filters-list span{
display: inline-block;
    border: 1px solid #616161;
    padding: 2px 7px;
    margin: 0px 8px 10px 0px;
    font-size: 11px;
    background: #ffffff;
    box-shadow: 2px 2px 2px 0px #A8A8A8;
}

#menu-icon {
    font-size: 40px;
    cursor: pointer;
    float: right;
    margin-right: 20px;
    color: #011a6a;
    transform: scale(1.4, 1);
}

#nav-menu {
    position: absolute;
    /*top: 10px;*/
    right: 10px;
    background-color: #011a6a;
    border: 1px solid #ccc;
    display: none;
    z-index: 1000;
}

#nav-menu ul {
    list-style-type: none;
    padding: 20px 0px;
    margin: 0;
}

#nav-menu ul li {
    margin: 10px 0px;
    font-weight: bold;
    font-size: 120%;
}

#nav-menu ul li a {
    display: block;
    background: #011a6a;
    padding: 10px 25px;
    color: #fff;
    text-decoration: none;
    -webkit-transition: 0.2s linear;
    -moz-transition: 0.2s linear;
    -ms-transition: 0.2s linear;
    -o-transition: 0.2s linear;
    transition: 0.2s linear;
}

#nav-menu ul li a:hover {
    color: #011a6a;
    background: #ffffff;
}

.hidden {
    display: none;
}

